// MaxKeyFrame.h: interface for the CMaxKeyFrame class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAXKEYFRAME_H__BFE712E7_7B32_49B8_8727_45474CA051EB__INCLUDED_)
#define AFX_MAXKEYFRAME_H__BFE712E7_7B32_49B8_8727_45474CA051EB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Rasterizer\KeyFrame.h"
#include "MaxNodeKey.h"

class CMaxKeyFrame : public CKeyFrame  
{
protected:
	void WriteHeader(CFileStream* lpStream);

public:
	CMaxKeyFrame();
	virtual ~CMaxKeyFrame();

	bool CreateKeys(DWORD dwNumKeys);

	bool Save(LPSTR lpszFileName);

	// inline
	///////////////////////////////////////////////////////////////////////////
	void SetTicksPerFrame(DWORD dwTicksPerFrame)	{ m_dwTicksPerFrame = dwTicksPerFrame; }
	void SetNumFrames(DWORD dwNumFrames)			{ m_dwNumFrames = dwNumFrames; }

	CMaxNodeKey* GetNodeKey(DWORD dwNodeKey)		{ return (CMaxNodeKey*) m_pNodeKeys + dwNodeKey; }
};

#endif // !defined(AFX_MAXKEYFRAME_H__BFE712E7_7B32_49B8_8727_45474CA051EB__INCLUDED_)
